Subject: Re: [bug#48553] [PATCH] gnu: Add numdiff.

From: Roel Janssen <[email-masked]>
Date: Fri, 21 May 2021 12:37:51 +0200

Hi Paul,

I pushed this patch with a minor modifications I outline below.

On Fri, 2021-05-21 at 02:50 +0000, Paul A. Patience wrote:
> * gnu/packages/maths.scm (numdiff): New variable.
> ---
>  gnu/packages/maths.scm | 30 ++++++++++++++++++++++++++++++
>  1 file changed, 30 insertions(+)
> 
> diff --git a/gnu/packages/maths.scm b/gnu/packages/maths.scm
> index 6b3f5cf41c..98be1bc211 100644
> --- a/gnu/packages/maths.scm
> +++ b/gnu/packages/maths.scm
> @@ -45,6 +45,7 @@
>  ;;; Copyright © 2021 Gerd Heber <[email-masked]>
>  ;;; Copyright © 2021 Franck Pérignon < 
> [email-masked]>
>  ;;; Copyright © 2021 Philip McGrath <[email-masked]>
> +;;; Copyright © 2021 Paul A. Patience <[email-masked]>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -6229,3 +6230,32 @@ and conversions, physical constants, symbolic
> calculations (including
>  integrals and equations), arbitrary precision, uncertainty
> propagation,
>  interval arithmetic, plotting.")
>      (license license:gpl2+)))
> +
> +(define-public numdiff
> +  (package
> +    (name "numdiff")
> +    (version "5.9.0")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri (string-append " 
> http://savannah.nongnu.org/download/numdiff/numdiff-"
> +                           version ".tar.gz"))

I changed the URI to "mirror://savannah/numdiff/numdiff-...".

> +       (sha256
> +        (base32
> +         "1vzmjh8mhwwysn4x4m2vif7q2k8i19x8azq7pzmkwwj4g48lla47"))))
> +    (build-system gnu-build-system)
> +    (arguments
> +     '(#:tests? #f
> +       #:phases
> +       (modify-phases %standard-phases
> +         (add-before 'compress-documentation 'delete-precompressed-
> info-file
> +           (lambda _
> +             (delete-file (string-append (assoc-ref %outputs "out")
> +                                        
> "/share/info/numdiff.info.gz"))
> +             #t)))))
> +    (home-page "https://nongnu.org/numdiff/")
> +    (synopsis "Compare files with numeric fields")
> +    (description
> +     "Numdiff compares files line by line and field by field,
> ignoring small
> +numeric differences and differences in numeric formats.")
> +    (license license:gpl3+)))
> --
> 2.31.1
> 

Thanks you!

Kind regards,
Roel Janssen